package com.unis.base.app.service;

import com.unis.base.common.vo.ExamineStampVO;
import com.unis.base.common.vo.SinkpointRecordsQueryVO;
import com.unis.base.common.vo.SinkpointRecordsVO;
import com.unis.common.utils.ResponseWrapper;

/** 
 * @ClassName: WarehouseService
 * @Description: 库点信息 service
 * @author WangZL
 * @date 2019年9月6日 上午11:18:14  
 */
public interface SinkpointRecordsService {

	/**
	 * 分页查询列表
	 * @param sinkpointRecordsQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseWrapper getSinkpointRecordsPage(SinkpointRecordsQueryVO sinkpointRecordsQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 根据状态新增
	 * @param sinkpointRecordsVO
	 * @return
	 */
	ResponseWrapper insertSinkpointRecords(SinkpointRecordsVO sinkpointRecordsVO, Integer type);

	/**
	 * 查询详情
	 * @param kdbabh
	 * @return
	 */
	ResponseWrapper getSinkpointRecordsInfoById(String kdbabh);

	/**
	 * 提交
	 * @param kdbabh
	 * @return
	 */
	ResponseWrapper sinkpointRecordsRelay(String kdbabh);

	/**
	 * 库区主任审批
	 * @param examineStampVO
	 * @return
	 */
	ResponseWrapper sinkpointRecordsDirectorExamine(ExamineStampVO examineStampVO);

	/**
	 * 库区主任盖章
	 * @param examineStampVO
	 * @return
	 */
	ResponseWrapper sinkpointRecordsDirectorStamp(ExamineStampVO examineStampVO);

	/**
	 * 区粮办审批
	 * @param examineStampVO
	 * @return
	 */
	ResponseWrapper sinkpointRecordsDistrictExamine(ExamineStampVO examineStampVO);

	/**
	 * 区粮办盖章
	 * @param examineStampVO
	 * @return
	 */
	ResponseWrapper sinkpointRecordsDistrictStamp(ExamineStampVO examineStampVO);
}
